from parallels.core.connections.connections import Connections
from parallels.core.connections.source_server import SourceServer
from parallels.plesk.source.confixx import settings


class MigratorConnections(Connections):
	def __init__(self, global_context, target_panel):
		super(MigratorConnections, self).__init__(global_context, target_panel)
		self.source_settings = settings.init(global_context.config)
		self.confixx = SourceServer('confixx', self.source_settings)

	def get_information_servers(self):
		return {'confixx': self.confixx.node_settings}
